org.apache.el.lang

## Class VariableMapperFactory

- java.lang.Object
- - javax.el.VariableMapper
  - - org.apache.el.lang.VariableMapperFactory

-     public class VariableMapperFactory
      extends VariableMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableMapperFactory(VariableMapper target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariableMapper` | `create()`
    `ValueExpression` | `resolveVariable(String variable)`
    `ValueExpression` | `setVariable(String variable, ValueExpression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapperFactory

          public VariableMapperFactory(VariableMapper target)

  - ### Method Detail

    - #### create

          public VariableMapper create()

    - #### resolveVariable

          public ValueExpression resolveVariable(String variable)

      Specified by:
        `resolveVariable` in class `VariableMapper`

    - #### setVariable

          public ValueExpression setVariable(String variable,
                                    ValueExpression expression)

      Specified by:
        `setVariable` in class `VariableMapper`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.